Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IPerspectiveListener4

All Superinterfaces:
  IPerspectiveListener, IPerspectiveListener2, IPerspectiveListener3

All Known Implementing Classes:
  PerspectiveAdapter

    public interface IPerspectiveListener4

extends IPerspectiveListener3

Extension interface to `IPerspectiveListener` which adds support for listening to perspective pre-deactivate events.

This interface may be implemented by clients.

Since:
  3.2
See Also:
  `IPageService.addPerspectiveListener(IPerspectiveListener)`, `PerspectiveAdapter`

Method Summary
`void` `perspectivePreDeactivate(IWorkbenchPage page, IPerspectiveDescriptor perspective)` Notifies this listener that a perspective in the given page is about to be deactivated.

Methods inherited from interface org.eclipse.ui.IPerspectiveListener3
`perspectiveClosed, perspectiveDeactivated, perspectiveOpened, perspectiveSavedAs`

Methods inherited from interface org.eclipse.ui.IPerspectiveListener2
`perspectiveChanged`

Methods inherited from interface org.eclipse.ui.IPerspectiveListener
`perspectiveActivated, perspectiveChanged`

Method Detail

### perspectivePreDeactivate

    void perspectivePreDeactivate(IWorkbenchPage page,
                                  IPerspectiveDescriptor perspective)

  Notifies this listener that a perspective in the given page is about to be deactivated.

  Note: This does not have the ability to veto a perspective deactivation.

  Parameters:
    `page` - the page containing the deactivated perspective
    `perspective` - the perspective descriptor that was deactivated
  See Also:
    `IWorkbenchPage.setPerspective(IPerspectiveDescriptor)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.